Bug 1404012 - Review Request: module-build-service - The Module Build Service for Modularity
Review Request: module-build-service - The Module Build Service for Modularity
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael DePaulo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-12 15:47 EST by Ralph Bean
Modified: 2017-01-11 13:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 13:22:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mikedep333: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2016-12-12 15:47:07 EST
Spec URL: http://ralph.fedorapeople.org//module-build-service.spec
SRPM URL: http://ralph.fedorapeople.org//module-build-service-1.0.1-1.fc25.src.rpm

Description:
The orchestrator coordinates module builds and is responsible for a number of
tasks:

- Providing an interface for module client-side tooling via which module build
  submission and build state queries are possible.
- Verifying the input data (modulemd, RPM SPEC files and others) is available
  and correct.
- Preparing the build environment in the supported build systems, such as koji.
- Scheduling and building of the module components and tracking the build
  state.
- Emitting bus messages about all state changes so that other infrastructure
  services can pick up the work.
Comment 1 Ralph Bean 2016-12-12 15:47:11 EST
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=16857938
Comment 2 Miroslav Suchý 2016-12-13 11:18:11 EST
Preliminary review:
* you are missing systemd snippets
  https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#Systemd
* it is shame that you start with python2 when everything is being moved to python3 :(  (but it does not block the review)
* there are test in tar.gz, but not used in %check. Any reason for that?
* it would be nice to have man pages for /usr/bin/* tools
Comment 3 Ralph Bean 2016-12-14 09:49:40 EST
(In reply to Miroslav Suchý from comment #2)
> Preliminary review:
> * you are missing systemd snippets
> https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#Systemd

Thanks!  We can add these.

> * it is shame that you start with python2 when everything is being moved to
> python3 :(  (but it does not block the review)

Agreed.  :(  We started off on python3, but got blocked by the `koji` libs still being python2 only.  As I understand it, there is movement on making them python3-capable upstream, so we should be able to port over sooner than later.

> * there are test in tar.gz, but not used in %check. Any reason for that?

Yes, I believe that some of them require network connectivity which would fail in koji.  I can have a closer look and give a more thorough assessment.

> * it would be nice to have man pages for /usr/bin/* tools

Yes, agreed.  We should add `--help` options to each of those commands and then use help2man.
Comment 4 Ralph Bean 2016-12-14 13:31:30 EST
OK, two of four taken care of:

- The test suite now runs in the check section (yay!)
- systemd scriptlets are now in place.

Nothing I can do about py3 for the moment.  I filed an issue upstream here to track adding `--help` information and man pages to various commands.  We'll include them in a future release:  https://pagure.io/fm-orchestrator/issue/266

New release of the specfile and srpm up for review here:

Spec URL: http://threebean.org/rpm/SPECS/module-build-service.spec
SRPM URL: http://threebean.org/rpm/SRPMS/module-build-service-1.0.2-1.fc25.src.rpm
Comment 5 Michael DePaulo 2017-01-10 08:16:45 EST
My review of 1.0.2-1:

Overall: NEEDSWORK

Only 1 Potential Issue:
module-build-service.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/module_build_service/scheduler/consumer.pyc


(Note that this is my 1st package review. I apologize in advance for any mistakes.)
Comment 6 Ralph Bean 2017-01-10 09:50:46 EST
Thanks Michael!

Here is a revision that removes that file that should've been absent.

Spec URL: http://threebean.org/rpm/SPECS/module-build-service.spec
SRPM URL: http://threebean.org/rpm/SRPMS/module-build-service-1.0.2-2.fc25.src.rpm
Comment 7 Michael DePaulo 2017-01-10 10:31:56 EST
ACCEPTED now
Comment 8 Gwyn Ciesla 2017-01-10 12:03:23 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/module-build-service

Note You need to log in before you can comment on or make changes to this bug.